MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023143Community[OCCT] OCCT:Modeling Algorithmspublic2012-05-06 19:452013-04-29 15:21
ReporterQbProg 
Assigned Toomy 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023143: Suspicious else
DescriptionIn src\IntPatch\IntPatch_ImpPrmIntersection.cxx , in ForcedPurgePoints, line 1502

    if(IsReversed) {
      Result->Value(1).ParametersOnS2(U1,V1);
      Result->Value(Result->NbPoints()).ParametersOnS2(U2,V2);
    }
    else {
      Result->Value(1).ParametersOnS2(U1,V1);
      Result->Value(Result->NbPoints()).ParametersOnS2(U2,V2);
    }

the else is the same as the condition.
The same in the "Sphere" case below (line 1520)

TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023132closedomy Suspicious code snippets 

-  Notes
(0021782)
omy (developer)
2012-10-16 11:22

Dear oan,
Fix is integrated to branch CR23143 (see commit message for details). Please review.
P.S.: This function is never used within the code, so I suppose that any changes in it won't affect the OCCT.
(0021800)
oan (developer)
2012-10-16 16:34

Dear OMY,
I propose to eliminate code duplication in the method ForcedPurgePoints for better readability.
(0021827)
omy (developer)
2012-10-18 09:42

Dear OAN,
I have eliminated code duplication in this function. Please, review
(0021872)
oan (developer)
2012-10-22 11:06

Dear JGV,
Please review.
(0021907)
jgv (developer)
2012-10-23 16:31

No remarks
(0022030)
apn (administrator)
2012-10-31 12:35

Dear BugMaster,
Branch CR23143 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

- Related Changesets
occt: master 3fa7e3e7
Timestamp: 2012-11-15 08:59:23
Author: omy
Details ] Diff ]
0023143: Suspicious else

Changes description:
In src\IntPatch\IntPatch_ImpPrmIntersection.cxx , in ForcedPurgePoints function changed
ParametersOnS2() to ParametersOnS1() in cases of
Standard_Boolean IsReversed == false in lines 1522 & 1540
Got rid from duplicated code in function static void ForcedPurgePoints(...)
mod - src/IntPatch/IntPatch_ImpPrmIntersection.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-05-06 19:45 QbProg New Issue
2012-05-06 19:45 QbProg Assigned To => abv
2012-05-07 09:18 abv Relationship added child of 0023132
2012-05-07 09:28 abv Assigned To abv => dbv
2012-05-07 09:28 abv Status new => assigned
2012-05-07 09:29 abv Category OCCT:Foundation Classes => OCCT:Modeling Algorithms
2012-05-07 09:29 abv Target Version => 6.5.4
2012-10-09 18:36 oan Assigned To dbv => omy
2012-10-16 11:19 omy Assigned To omy => oan
2012-10-16 11:22 omy Note Added: 0021782
2012-10-16 11:22 omy Status assigned => resolved
2012-10-16 16:34 oan Note Added: 0021800
2012-10-16 16:34 oan Status resolved => reviewed
2012-10-16 16:34 oan Assigned To oan => omy
2012-10-16 16:34 oan Status reviewed => assigned
2012-10-18 09:42 omy Note Added: 0021827
2012-10-18 09:43 omy Status assigned => resolved
2012-10-18 09:43 omy Assigned To omy => oan
2012-10-22 11:04 oan Assigned To oan => jgv
2012-10-22 11:06 oan Note Added: 0021872
2012-10-23 16:31 jgv Note Added: 0021907
2012-10-23 16:31 jgv Status resolved => reviewed
2012-10-23 16:38 mkv Assigned To jgv => mkv
2012-10-23 18:41 abv Target Version 6.5.4 => 6.6.0
2012-10-31 12:35 apn Note Added: 0022030
2012-10-31 12:35 apn Test case number => Not needed
2012-10-31 12:35 apn Assigned To mkv => bugmaster
2012-10-31 12:35 apn Status reviewed => tested
2012-11-16 13:03 omy Changeset attached => occt master 3fa7e3e7
2012-11-16 13:03 omy Assigned To bugmaster => omy
2012-11-16 13:03 omy Status tested => verified
2012-11-16 13:03 omy Resolution open => fixed
2012-12-10 17:16 omy Changeset attached => occt master 3fa7e3e7
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:21 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker